<?php
/**
 * Displays main header
 *
 * @package Magazine Express
 */
?>

<div class="main_header py-3">
    <div class="container">
        <div class="row">
            <div class="col-lg-5 col-md-4">
                <div class="navbar-brand">
                    <?php if ( has_custom_logo() ) : ?>
                        <div class="site-logo"><?php the_custom_logo(); ?></div>
                    <?php endif; ?>
                    <?php $blog_info = get_bloginfo( 'name' ); ?>
                        <?php if ( ! empty( $blog_info ) ) : ?>
                            <?php if ( is_front_page() && is_home() ) : ?>
                                <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                            <?php else : ?>
                                <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
                            <?php endif; ?>
                        <?php endif; ?>
                        <?php
                            $description = get_bloginfo( 'description', 'display' );
                            if ( $description || is_customize_preview() ) :
                        ?>
                        <p class="site-description"><?php echo esc_html($description); ?></p>
                    <?php endif; ?>
                </div>
            </div>
            <div class="col-lg-7 col-md-8">                
                <section id="advertise_sec">
                    <?php $magazine_express_advertise_page = array();                        
                        $mod = intval( get_theme_mod( 'magazine_express_advertise_page' ));
                        if ( 'page-none-selected' != $mod ) {
                            $magazine_express_advertise_page[] = $mod;
                        }
                        if( !empty($magazine_express_advertise_page) ) :
                            $args = array(
                                'post_type' => 'page',
                                'post__in' => $magazine_express_advertise_page,
                                'orderby' => 'post__in'
                            );
                        $query = new WP_Query( $args );
                        if ( $query->have_posts() ) :
                            $i = 1;
                    ?>
                    <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
                        <div class="advertise-box my-3 my-lg-0 my-md-0">
                            <img src="<?php the_post_thumbnail_url('full'); ?>"/>
                            <div class="advertise-inner-box px-3">
                                <h3><?php the_title(); ?></h3>
                                <div class="slide-btn"><a href="<?php the_permalink(); ?>"><?php esc_html_e('SHOP NOW','magazine-express'); ?></a></div>
                            </div>
                        </div>
                    <?php $i++; endwhile;
                    wp_reset_postdata();?>
                    <?php else : ?>
                        <div class="no-postfound"></div>
                    <?php endif;
                    endif;?>
                </section>
            </div>
        </div>
    </div>
</div>